io.vertx.core.spi.launcher

## Class ExecutionContext

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,Object>
    - - io.vertx.core.spi.launcher.ExecutionContext

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,Object>

      public class ExecutionContext
      extends HashMap<String,Object>

  The execution context contains various information on the execution.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionContext(Command command, io.vertx.core.impl.launcher.VertxCommandLauncher launcher, CommandLine commandLine)` Creates a new instance of `ExecutionContext`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLI` | `cli()`
    `Command` | `command()`
    `CommandLine` | `commandLine()`
    `void` | `execute(String command, String... args)` Executes another command.
    `PrintStream` | `getPrintStream()`
    `io.vertx.core.impl.launcher.VertxCommandLauncher` | `launcher()`
    `Object` | `main()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ExecutionContext

          public ExecutionContext(Command command,
                                  io.vertx.core.impl.launcher.VertxCommandLauncher launcher,
                                  CommandLine commandLine)

      Creates a new instance of `ExecutionContext`.
      Parameters:
        `command` - the command instance that is executed
        `launcher` - the launcher class
        `commandLine` - the command line

  - ### Method Detail

    - #### command

          public Command command()

      Returns:
        the command line object.

    - #### launcher

          public io.vertx.core.impl.launcher.VertxCommandLauncher launcher()

      Returns:
        the launcher.

    - #### cli

          public CLI cli()

      Returns:
        the `CLI`.

    - #### commandLine

          public CommandLine commandLine()

      Returns:
        the `CommandLine`.

    - #### execute

          public void execute(String command,
                              String... args)

      Executes another command.
      Parameters:
        `command` - the command name
        `args` - the arguments

    - #### main

          public Object main()

      Returns:
        the `Main-Class` object.

    - #### getPrintStream

          public PrintStream getPrintStream()

      Returns:
        the `PrintStream` on which command can write.

Copyright © 2016. All rights reserved.